@article{1976,
author = {Ottenstein, K. J.},
title = {An Algorithmic Approach to the Detection and Prevention of Plagiarism},
year = {1976},
issue_date = {December 1976},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {8},
number = {4},
issn = {0097-8418},
url = {https://doi.org/10.1145/382222.382462},
doi = {10.1145/382222.382462},
journal = {SIGCSE Bull.},
month = dec,
pages = {30–41},
numpages = {12}
}

@INPROCEEDINGS{baker,
author={B. S. {Baker}},
booktitle={Proceedings of 2nd Working Conference on Reverse Engineering},
title={On finding duplication and near-duplication in large software systems},
year={1995},
volume={},
number={},
pages={86-95},
}

@inproceedings{roycordy,
author = {Roy, Chanchal K. and Cordy, James R.},
title = {An Empirical Study of Function Clones in Open Source Software},
year = {2008},
isbn = {9780769534299},
publisher = {IEEE Computer Society},
address = {USA},
url = {https://doi.org/10.1109/WCRE.2008.54},
doi = {10.1109/WCRE.2008.54},
booktitle = {Proceedings of the 2008 15th Working Conference on Reverse Engineering},
pages = {81–90},
numpages = {10},
keywords = {Function Clones, Empirical Study, Open Source Software, Benchmark},
series = {WCRE ’08}
}

@article{intentional,
author = {Kim, Miryung and Sazawal, Vibha and Notkin, David and Murphy, Gail},
title = {An Empirical Study of Code Clone Genealogies},
year = {2005},
issue_date = {September 2005},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
volume = {30},
number = {5},
issn = {0163-5948},
url = {https://doi.org/10.1145/1095430.1081737},
doi = {10.1145/1095430.1081737},
journal = {SIGSOFT Softw. Eng. Notes},
month = sep,
pages = {187–196},
numpages = {10},
keywords = {software maintenance, code clone, empirical study,
  software evolution, refactoring}
}
  
@inproceedings{harmful,
author = {Juergens, Elmar and Deissenboeck, Florian and Hummel,
  Benjamin and Wagner, Stefan},
title = {Do Code Clones Matter?},
year = {2009},
isbn = {9781424434534},
publisher = {IEEE Computer Society},
address = {USA},
url = {https://doi.org/10.1109/ICSE.2009.5070547},
doi = {10.1109/ICSE.2009.5070547},
booktitle = {Proceedings of the 31st International Conference
  on Software Engineering},
number={3}, 
pages={176-192},
}

@INPROCEEDINGS{adaptation, 
author={ {Mayrand} and  {Leblanc} and  {Merlo}}, 
booktitle={1996 Proceedings of International Conference on Software Maintenance}, 
title={Experiment on the automatic detection of function clones in a
  software system using metrics},  
year={1996}, 
volume={}, 
number={}, 
pages={244-253},
}

@article{tasks,
author = {Roy, Chanchal and Cordy, James},
year = {2007},
month = {01},
pages = {},
title = {A Survey on Software Clone Detection Research},
journal = {School of Computing TR 2007-541}
}

@INPROCEEDINGS{akhinitsykson, 
author = {Akhin, Marat and Itsykson, Vladimir}, 
year = {2010}, 
month = oct, 
pages = {}, 
title = {Clone detection: Why, what and how?}, 
booktitle = {2010 6th Central and Eastern European Software
  Engineering Conference, CEE-SECR 2010}, 
}

@inproceedings{astcc,
	location = {Benevento, Italy},
	title = {Clone Detection Using Abstract Syntax Suffix Trees},
	isbn = {978-0-7695-2719-2},
	url = {http://ieeexplore.ieee.org/document/4023995/},
	doi = {10.1109/WCRE.2006.18},
	eventtitle = {2006 13th Working Conference on Reverse Engineering},
	pages = {253--262},
	booktitle = {2006 13th Working Conference on Reverse Engineering},
	publisher = {{IEEE}},
	author = {Koschke, Rainer and Falke, Raimar and Frenzel, Pierre},
	date = {2006},
	langid = {english},
}% 

@inproceedings{komondoor,
	title = {Effective, automatic procedure extraction},
	isbn = {978-0-7695-1883-1},
	url = {http://ieeexplore.ieee.org/document/1199187/},
	doi = {10.1109/WPC.2003.1199187},
	eventtitle = {11th {IEEE} International Workshop on Program Comprehension},
	pages = {33--42},
	booktitle = {{MHS}2003. Proceedings of 2003 International Symposium on Micromechatronics and Human Science ({IEEE} Cat. No.03TH8717)},
	publisher = {{IEEE} Comput. Soc},
	author = {Komondoor, R. and Horwitz, S.},
	urldate = {2020-03-28},
	date = {2003},
	langid = {english},
}%

@inproceedings{krinke,
	location = {Stuttgart, Germany},
	title = {Identifying similar code with program dependence graphs},
	isbn = {978-0-7695-1303-4},
	url = {http://ieeexplore.ieee.org/document/957835/},
	doi = {10.1109/WCRE.2001.957835},
	eventtitle = {Eighth Working Conference on Reverse Engineering},
	pages = {301--309},
	booktitle = {Proceedings Eighth Working Conference on Reverse Engineering},
	publisher = {{IEEE} Comput. Soc},
	author = {Krinke, J.},
	urldate = {2020-03-28},
	date = {2001},
	langid = {english},
}%

@inproceedings{mishne,
author = {Mishne, Gilad and de Rijke, Maarten},
title = {Source Code Retrieval Using Conceptual Similarity},
year = {2004},
isbn = {905450096},
publisher = {LE CENTRE DE HAUTES ETUDES INTERNATIONALES D’INFORMATIQUE DOCUMENTAIRE},
address = {Paris, FRA},
booktitle = {Coupling Approaches, Coupling Media and Coupling Languages for Information Retrieval},
pages = {539–554},
numpages = {16},
location = {Vaucluse, France},
series = {RIAO ’04}
}

@article{comparison,
author = {Bellon, Stefan and Koschke, Rainer and Antoniol, Giuliano and Krinke, Jens and Merlo, Ettore},
year = {2007},
month = {07},
pages = {577-591},
title = {Comparison and Evaluation of Clone Detection Tools},
volume = {33},
journal = {IEEE Transactions on Software Engineering},
doi = {10.1109/TSE.2007.70725}
}

@INPROCEEDINGS{preventative,  
author={E. {Burd} and J. {Bailey}}, 
booktitle={Proceedings. Second IEEE International Workshop on Source
  Code Analysis and Manipulation}, 
title={Evaluating clone detection tools for use during preventative maintenance},  
year={2002}, 
volume={}, 
number={}, 
pages={36-43},
}

@INPROCEEDINGS{bcb, 
author={J. {Svajlenko} and C. K. {Roy}}, 
booktitle={2015 IEEE International Conference on Software Maintenance and
Evolution (ICSME)}, 
title={Evaluating clone detection tools with BigCloneBench},  
year={2015}, 
volume={}, 
number={}, 
pages={131-140},
}

@INPROCEEDINGS{baxter,  
author={I. D. {Baxter} and A. {Yahin} and L. {Moura} and M. {Sant'Anna} 
  and L. {Bier}}, 
booktitle={Proceedings. International Conference on Software Maintenance 
  (Cat. No. 98CB36272)},  
title={Clone detection using abstract syntax trees},   
year={1998},  
volume={},  
number={},  
pages={368-377},
}

@article{ducasse,
author = {Ducasse, Stéphane and Rieger, Matthias and Demeyer, Serge},
year = {2000},
month = {12},
pages = {},
title = {A Language Independent Approach for Detecting Duplicated Code},
journal = {Conference on Software Maintenance}
}

@InProceedings{slicing,
author="Komondoor, Raghavan
and Horwitz, Susan",
editor="Cousot, Patrick",
title="Using Slicing to Identify Duplication in Source Code",
booktitle="Static Analysis",
year="2001",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="40--56",
isbn="978-3-540-47764-8"
}

@inproceedings{redundancy,
author = {Johnson, J. Howard},
title = {Identifying Redundancy in Source Code Using Fingerprints},
year = {1993},
publisher = {IBM Press},
booktitle = {Proceedings of the 1993 Conference of the Centre for Advanced Studies on Collaborative Research: Software Engineering - Volume 1},
pages = {171–183},
numpages = {13},
location = {Toronto, Ontario, Canada},
series = {CASCON ’93}
}
n
@inproceedings{newbug,
author = {Johnson, J. Howard},
title = {Navigating the Textual Redundancy Web in Legacy Source},
year = {1996},
publisher = {IBM Press},
booktitle = {Proceedings of the 1996 Conference of the Centre for Advanced Studies on Collaborative Research},
pages = {16},
numpages = {10},
location = {Toronto, Ontario, Canada},
series = {CASCON ’96}
}
  
@inproceedings{substring,
author = {Johnson, J. Howard},
title = {Substring Matching for Clone Detection and Change Tracking},
year = {1994},
isbn = {0818663308},
publisher = {IEEE Computer Society},
address = {USA},
booktitle = {Proceedings of the International Conference on Software Maintenance},
pages = {120–126},
numpages = {7},
series = {ICSM ’94}
}
  
@inproceedings{genealogy,
author = {Kim, Miryung and Notkin, David},
year = {2005},
month = {07},
pages = {},
title = {Using a clone genealogy extractor for understanding and supporting evolution of code clones},
journal = {ACM Sigsoft Software Engineering Notes},
doi = {10.1145/1082983.1083146}
}

@INPROCEEDINGS{harmful,  
author={C. {Kapser} and M. W. {Godfrey}},  
booktitle={2006 13th Working Conference on Reverse Engineering},  
title={"Cloning Considered Harmful" Considered Harmful},   
year={2006},  
volume={},  
number={},  
pages={19-28},
}

@inproceedings{cordy,
title={Comprehending Reality: Practical Challenges to Software Maintenance Automation},
author={James R. Cordy},
year={2003}
}

@inproceedings{geiger,
author = {Geiger, Reto and Fluri, Beat and Gall, Harald and Pinzger, Martin},
year = {2006},
month = {03},
pages = {411-425},
title = {Relation of Code Clones and Change Couplings},
volume = {3922},
doi = {10.1007/11693017_31}
}

@inproceedings{lozano,
author = {Lozano, Angela and Wermelinger, Michel and Nuseibeh, Bashar},
title = {Evaluating the Harmfulness of Cloning: A Change Based Experiment},
year = {2007},
isbn = {076952950X},
publisher = {IEEE Computer Society},
address = {USA},
url = {https://doi.org/10.1109/MSR.2007.8},
doi = {10.1109/MSR.2007.8},
booktitle = {Proceedings of the Fourth International Workshop on Mining Software Repositories},
pages = {18},
numpages = {4},
series = {MSR ’07}
}

@inproceedings{plagiarism,
author = {Petrík, Juraj and Chuda, Daniela and Steinmuller, Branislav},
year = {2017},
month = {01},
pages = {000467-000472},
title = {Source code plagiarism detection: The Unix way},
doi = {10.1109/SAMI.2017.7880355}
}

@inproceedings{plagiarism04,
author = {Belkhouche, B. and Nix, Anastasia and Hassell, Johnette},
title = {Plagiarism Detection in Software Designs},
year = {2004},
isbn = {1581138709},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/986537.986585},
doi = {10.1145/986537.986585},
booktitle = {Proceedings of the 42nd Annual Southeast Regional Conference},
pages = {207–211},
numpages = {5},
location = {Huntsville, Alabama},
series = {ACM-SE 42}
}

@inproceedings{plagiarism12,
author = {Belkhouche, B. and Nix, Anastasia and Hassell, Johnette},
title = {Plagiarism Detection in Software Designs},
year = {2004},
isbn = {1581138709},
publisher = {Association for Computing Machinery},
address = {New York, NY, USA},
url = {https://doi.org/10.1145/986537.986585},
doi = {10.1145/986537.986585},
booktitle = {Proceedings of the 42nd Annual Southeast Regional Conference},
pages = {207–211},
numpages = {5},
location = {Huntsville, Alabama},
series = {ACM-SE 42}
}
  
@inproceedings{classification,
author = {Gautam, Pratiksha and Saini, Hemraj},
year = {2016},
month = {08},
pages = {655-667},
title = {Various Code Clone Detection Techniques and Tools: A Comprehensive Survey},
isbn = {978-981-10-3432-9},
doi = {10.1007/978-981-10-3433-6_79}
}

@ARTICLE{Baker92aprogram,
author = {Brenda S. Baker},
title = {A program for identifying duplicated code},
journal = {Computing Science and Statistics},
year = {1992}
}

@inproceedings{langind,
author = {Cordy, James R. and Dean, Thomas R. and Synytskyy, Nikita},
title = {Practical Language-Independent Detection of near-Miss Clones},
year = {2004},
publisher = {IBM Press},
booktitle = {Proceedings of the 2004 Conference of the Centre for Advanced Studies on Collaborative Research},
pages = {1–12},
numpages = {12},
location = {Markham, Ontario, Canada},
series = {CASCON ’04}
}

@ARTICLE{ccfinder,
author={T. {Kamiya} and S. {Kusumoto} and K. {Inoue}},
journal={IEEE Transactions on Software Engineering},
title={CCFinder: a multilinguistic token-based code clone detection system for large scale source code},
year={2002},
volume={28},
number={7},
pages={654-670},
}

@ARTICLE{cpminer,
author={Z. {Li} and S. {Lu} and S. {Myagmar} and Y. {Zhou}},
journal={IEEE Transactions on Software Engineering},
title={CP-Miner: finding copy-paste and related bugs in large-scale software code},
year={2006},
volume={32},
number={3},
pages={176-192},
}

@INPROCEEDINGS{wahler,
author={V. {Wahler} and D. {Seipel} and J. {Wolff} and G. {Fischer}},
booktitle={Source Code Analysis and Manipulation, Fourth IEEE International Workshop on},
title={Clone detection in source code by frequent itemset techniques},
year={2004},
volume={},
number={},
pages={128-135},
}

@INPROCEEDINGS{evansfraser,
author={W. S. {Evans} and C. W. {Fraser} and F. {Ma}},
booktitle={14th Working Conference on Reverse Engineering (WCRE 2007)},
title={Clone Detection via Structural Abstraction},
year={2007},
volume={},
number={},
pages={150-159},
}

@article{davey,
author = {Davey, Neil and Barson, Paul and Field, S.D.H. and Frank, Ray and Tansley, Stewart},
year = {1995},
month = {01},
pages = {},
title = {The Development of a Software Clone Detector},
volume = {1},
journal = {International Journal of Applied Software Technology}
}
